#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "format_convertor.hh"
#include "help_dialog.hh"
#include <QMainWindow>

namespace Ui {
class MainWindow;
}

/**
 * @brief The MainWindow class
 */
class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget* parent = 0);
    ~MainWindow();

private slots:
    void on_actionExit_triggered();
    void on_actionConvert_triggered();
    void on_actionHelp_triggered();
    void on_actionAbout_triggered();
    void inputFileButtonPressed();
    void outputFolderButtonPressed();
    void chartScaleSelected();
    void currencyPairSelected();
    void setOutputPrefix();

private:
    Ui::MainWindow* ui_;
    HelpDialog* helpDialog;
};

#endif // MAINWINDOW_H
